aws-0.24.2: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Justin Dawson <jtdawso@gmail.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.BatchGetItem

Description

    http://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_BatchGetItem.html

Synopsis

- data GetRequestItem = GetRequestItem {
  - griProjExpr :: Maybe Text
  - griConsistent :: Bool
  - griKeys :: [PrimaryKey]
  }
- data BatchGetItem = BatchGetItem {
  - bgRequests :: [(Text, GetRequestItem)]
  - bgRetCons :: ReturnConsumption
  }
- batchGetRequestItem :: Maybe Text -> Bool -> [PrimaryKey] -> GetRequestItem
- toBatchGet :: [GetItem] -> BatchGetItem
- batchGetItem :: [(Text, GetRequestItem)] -> BatchGetItem
- data BatchGetItemResponse = BatchGetItemResponse {
  - bgResponses :: [(Text, [Item])]
  - bgUnprocessed :: Maybe [(Text, GetRequestItem)]
  - bgConsumed :: Maybe ConsumedCapacity
  }

# Documentation

data GetRequestItem #

Constructors

GetRequestItem |

Fields

- griProjExpr :: Maybe Text
- griConsistent :: Bool
- griKeys :: [PrimaryKey]

#### Instances

Instances details

FromJSON GetRequestItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods parseJSON :: Value -> Parser GetRequestItem # parseJSONList :: Value -> Parser [GetRequestItem] # omittedField :: Maybe GetRequestItem #
ToJSON GetRequestItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods toJSON :: GetRequestItem -> Value # toEncoding :: GetRequestItem -> Encoding # toJSONList :: [GetRequestItem] -> Value # toEncodingList :: [GetRequestItem] -> Encoding # omitField :: GetRequestItem -> Bool #
Read GetRequestItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods readsPrec :: Int -> ReadS GetRequestItem # readList :: ReadS [GetRequestItem] # readPrec :: ReadPrec GetRequestItem # readListPrec :: ReadPrec [GetRequestItem] #
Show GetRequestItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods showsPrec :: Int -> GetRequestItem -> ShowS # show :: GetRequestItem -> String # showList :: [GetRequestItem] -> ShowS #
Eq GetRequestItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods (==) :: GetRequestItem -> GetRequestItem -> Bool # (/=) :: GetRequestItem -> GetRequestItem -> Bool #
Ord GetRequestItem # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Methods

compare :: GetRequestItem -> GetRequestItem -> Ordering #

(<) :: GetRequestItem -> GetRequestItem -> Bool #

(<=) :: GetRequestItem -> GetRequestItem -> Bool #

(>) :: GetRequestItem -> GetRequestItem -> Bool #

(>=) :: GetRequestItem -> GetRequestItem -> Bool #

max :: GetRequestItem -> GetRequestItem -> GetRequestItem #

min :: GetRequestItem -> GetRequestItem -> GetRequestItem #

data BatchGetItem #

Constructors

BatchGetItem |

Fields

- bgRequests :: [(Text, GetRequestItem)]

  Get Requests for a specified table

- bgRetCons :: ReturnConsumption

#### Instances

Instances details

ToJSON BatchGetItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods toJSON :: BatchGetItem -> Value # toEncoding :: BatchGetItem -> Encoding # toJSONList :: [BatchGetItem] -> Value # toEncodingList :: [BatchGetItem] -> Encoding # omitField :: BatchGetItem -> Bool #
SignQuery BatchGetItem # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Associated Types

type ServiceConfiguration BatchGetItem |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ServiceConfiguration BatchGetItem = DdbConfiguration

Methods

signQuery :: BatchGetItem -> ServiceConfiguration BatchGetItem queryType -> SignatureData -> SignedQuery #

Read BatchGetItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods readsPrec :: Int -> ReadS BatchGetItem # readList :: ReadS [BatchGetItem] # readPrec :: ReadPrec BatchGetItem # readListPrec :: ReadPrec [BatchGetItem] #
Show BatchGetItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods showsPrec :: Int -> BatchGetItem -> ShowS # show :: BatchGetItem -> String # showList :: [BatchGetItem] -> ShowS #
Eq BatchGetItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods (==) :: BatchGetItem -> BatchGetItem -> Bool # (/=) :: BatchGetItem -> BatchGetItem -> Bool #
Ord BatchGetItem # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Methods

compare :: BatchGetItem -> BatchGetItem -> Ordering #

(<) :: BatchGetItem -> BatchGetItem -> Bool #

(<=) :: BatchGetItem -> BatchGetItem -> Bool #

(>) :: BatchGetItem -> BatchGetItem -> Bool #

(>=) :: BatchGetItem -> BatchGetItem -> Bool #

max :: BatchGetItem -> BatchGetItem -> BatchGetItem #

min :: BatchGetItem -> BatchGetItem -> BatchGetItem #

Transaction BatchGetItem BatchGetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem
type ServiceConfiguration BatchGetItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ServiceConfiguration BatchGetItem = DdbConfiguration

batchGetRequestItem #

Arguments

:: Maybe Text | Projection Expression
-> Bool | Consistent Read
-> [PrimaryKey] | Items to be deleted
-> GetRequestItem |

Construct a RequestItem .

toBatchGet :: [GetItem] -> BatchGetItem #

batchGetItem :: [(Text, GetRequestItem)] -> BatchGetItem #

Construct a BatchGetItem

data BatchGetItemResponse #

Constructors

BatchGetItemResponse |

Fields

- bgResponses :: [(Text, [Item])]
- bgUnprocessed :: Maybe [(Text, GetRequestItem)]

  Unprocessed Requests on failure

- bgConsumed :: Maybe ConsumedCapacity

  Amount of capacity consumed

#### Instances

Instances details

FromJSON BatchGetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods parseJSON :: Value -> Parser BatchGetItemResponse # parseJSONList :: Value -> Parser [BatchGetItemResponse] # omittedField :: Maybe BatchGetItemResponse #
AsMemoryResponse BatchGetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Associated Types

type MemoryResponse BatchGetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type MemoryResponse BatchGetItemResponse = BatchGetItemResponse

Methods

loadToMemory :: BatchGetItemResponse -> ResourceT IO (MemoryResponse BatchGetItemResponse) #

Read BatchGetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods readsPrec :: Int -> ReadS BatchGetItemResponse # readList :: ReadS [BatchGetItemResponse] # readPrec :: ReadPrec BatchGetItemResponse # readListPrec :: ReadPrec [BatchGetItemResponse] #
Show BatchGetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods showsPrec :: Int -> BatchGetItemResponse -> ShowS # show :: BatchGetItemResponse -> String # showList :: [BatchGetItemResponse] -> ShowS #
Eq BatchGetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods (==) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool # (/=) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool #
Ord BatchGetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Methods

compare :: BatchGetItemResponse -> BatchGetItemResponse -> Ordering #

(<) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool #

(<=) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool #

(>) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool #

(>=) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool #

max :: BatchGetItemResponse -> BatchGetItemResponse -> BatchGetItemResponse #

min :: BatchGetItemResponse -> BatchGetItemResponse -> BatchGetItemResponse #

ResponseConsumer r BatchGetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Associated Types

type ResponseMetadata BatchGetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ResponseMetadata BatchGetItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchGetItemResponse) -> HTTPResponseConsumer BatchGetItemResponse #

Transaction BatchGetItem BatchGetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem
type MemoryResponse BatchGetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type MemoryResponse BatchGetItemResponse = BatchGetItemResponse
type ResponseMetadata BatchGetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ResponseMetadata BatchGetItemResponse = DdbResponse